HSPポータル
サイトマップ お問い合わせ


HSPTV!掲示板


未解決 解決 停止 削除要請

2018
0117
エイカHSP3DishのAndroidの旧機種動作などについて3解決


エイカ

リンク

2018/1/17(Wed) 17:09:05|NO.82280

どうも、お世話になっております

API 24(Android7.0)などで制作すると
Android 4.1.2などでは動作しないようですが
この場合、古い製作環境と
古いAPIで制作するしか他に方法はないのでしょうか?

あと、API 19(Android 4.4.2)で作成した場合も
googleplayでは、Android 2.3.3などで
動作しないようにしないといけないのでしょうか?
↓にそういう風に書かれていたので

Google Developers Japan: Google Play サービスと Firebase for Android の最小サポート API レベルが 14 に
ttps://developers-jp.googleblog.com/2016/12/google-play-services-and-firebase-for-android-will-support-api-level-14-at-minimum.html

なお、この質問は現時点での質問であって
2018年8月以降の変更などは除きます

ご存じの方、よろしくお願いします。



この記事に返信する


mirage17

リンク

2018/1/17(Wed) 19:52:52|NO.82281

答えになっていないかもしれませんが、HSPでのスマホゲーム開発
の現状を書いておきます。

これからHSPでスマホゲームアプリ制作するなら、
アンドロイド6からアンドロイド8をメインターゲットにしても
いいと思います。2016年4月頃に、公開した、私のスマホゲームは、
アンドロイド4.4.4のタブレットをメインで制作しています。
そのゲームは、アンドロイド8でも動作しています。
私には、下記の環境での動作テストしかできないですが、
GooglePlayに、HSPで、作ったスマホゲームアプリを
登録すると、Google社側で、アンドロイド要件が、
私の場合、2.3.3以上と決められました。
また、最近じゃんぱらで、アンドロイド4.0.4は買い取れるか
聞いた所、電話ができるけど、買値は安くなりそうでした。
私の場合、アンドロイド4.0.4以前のスマホは、持っておりません。
ユーザーとしては、アンドロイド4を持っている人は、世界的に見ると、
いるようです。私の場合、全世界に向けて公開してますが、
現状、インストールしてくれた人は73名です。
でも、もう、アンドロイド4は手放そうかと考え始めています。
最近出てきた2in1PCは、Windows10とアンドロイド5.1
なので、そこらへんまでは、動作をこれからも、考慮しないといけなさそうです。
APIですが、高くして、将来性のある方向性で、いくか、
現状で、なるべく多く動くAPIレベルにするか、
どちらかで良いかと、私は、考えています。

つまり、答えを言うと、大多数をカバーしていれば、
細かい部分まで、気にしなくても良いと、私は考えます。
もちろん動作しないスマホが、少しあっても気にしないでも、
やっていけています。

制作・検証環境

 ・Nexus5X ymobile(Android8.0)
 ・MOTORORA Moto G4 Plus XT1642(Android7.0)
 ・Nexus5(Android6.0.1)
 ・AD710(Android4.4.4)
 ・HTC au ISW13HT HTC J レッド(Android4.0.4)


プロ生ちゃんと銅像作ろう(スマホ版)

Android 要件
2.3.3 以上

https://play.google.com/store/apps/details?id=hsp20160203.douzou



ぜーっと!

リンク

2018/1/18(Thu) 17:52:34|NO.82283

うーん。
少しでも多くの端末で遊べる方が良いと思うので、今まで通りでいいのではないでしょうか。
とは言っても、今も Android 2.3 をメインで使っている人は、ほとんどいないでしょうけど。

とりま完成したアプリを google play に登録するにあたり、minSdkVersionを上げておかないと
登録させてくれないような状況が起これば、その通りにすればよいと思います。

たぶん、そのような状況になる前には、hsp3dishやヘルパーのセット内容も変わるのではないかと
単純にそう思っています。



エイカ

リンク

2018/1/18(Thu) 19:58:25|NO.82285

お二人方、ありがとうございます。

とりあえずは、API 19 で作成しますが
2018年8月以降は無理そうなので
自前配布か旧端末を切り捨てないといけませんね。

とりあえずは、解決しときます。



ONION software Copyright 1997-2018(c) All rights reserved.